Subject: bug#58992: 28.2; "lax space matching" no longer works

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Nov 2022 16:04:07 +0200

> From: Robert Pluim <[email-masked]>
> Cc: Vincent Lefevre <[email-masked]>,  [email-masked]
> Date: Fri, 04 Nov 2022 14:56:36 +0100
> 
> >>>>> On Fri, 04 Nov 2022 13:45:35 +0200, Eli Zaretskii <[email-masked]> said:
>     >> A character alternative can also specify named character classes
>     >> (*note Char Classes::).  This is a POSIX feature.  [...]
>     >> 
>     >> You must not change its behavior! Making it depend on the major mode
>     >> is even worse.
> 
>     Eli> Too late for such changes, sorry.  Emacs interprets [:space:] like
>     Eli> that since at least Emacs 22, if not before.
> 
> Would it help if it said "This is based on a POSIX feature, but not
> 100% identical"?

No.  But we can remove that sentence, since it doesn't add anything to
the text.  Done.